Last Comment Bug 582372 - [Mac default] hover:active style rules applies on disabled linkToolbar items
: [Mac default] hover:active style rules applies on disabled linkToolbar items
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Themes (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: seamonkey2.1b1
Assigned To: Stefan [:stefanh]
:
:
Mentors:
Depends on:
Blocks: 460699
  Show dependency treegraph
 
Reported: 2010-07-27 14:16 PDT by Stefan [:stefanh]
Modified: 2010-08-30 03:37 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Fix hover:active styles (3.06 KB, patch)
2010-08-08 11:45 PDT, Stefan [:stefanh]
mnyromyr: review+
neil: superreview+
Details | Diff | Splinter Review

Description Stefan [:stefanh] 2010-07-27 14:16:11 PDT
Spun off from bug 579737, comment #8:

Since the hover:active style rules lacks :not([disabled="true"]), clicking a disabled item will apply the hover:active styles. I believe I caused this when I re-did mac classic.
Comment 1 Stefan [:stefanh] 2010-08-08 11:45:23 PDT
Created attachment 463944 [details] [diff] [review]
Fix hover:active styles

One change might need some clarification:
 #bookmarks-button[open="true"],
-.bookmark-item[container="true"]:hover:active {
+.bookmark-item:not([disabled="true"])[container="true"]:hover:active {
   list-style-image: url("chrome://communicator/skin/bookmarks/bookmark-folder-active.png");
 }

These rules are in navigator.css and I think it's better to change them there than to duplicate them in linkToolbar.css
Comment 2 neil@parkwaycc.co.uk 2010-08-08 12:19:06 PDT
Comment on attachment 463944 [details] [diff] [review]
Fix hover:active styles

>+#linktoolbar > .bookmark-item:not([disabled="true"])[container="true"]:hover:active {

>+.bookmark-item:not([disabled="true"])[container="true"]:hover:active {

I'd prefer .bookmark-item[container="true"]:not([disabled="true"]):hover:active
Comment 3 Karsten Düsterloh 2010-08-29 13:11:16 PDT
Comment on attachment 463944 [details] [diff] [review]
Fix hover:active styles

>+#link-top:not([disabled="true"]:hover:active
>+#link-up:not([disabled="true"]:hover:active
>+#link-first:not([disabled="true"]:hover:active
>+#link-prev:not([disabled="true"]:hover:active
>+#link-next:not([disabled="true"]:hover:active
>+#link-last:not([disabled="true"]:hover:active

Actually, I'd prefer rules not being applied because of their valid selector, not because the selector is broken. :-P
Hint: ( love )...

r=me with that fixed.
(I tested a locally fixed version.)
Comment 4 Stefan [:stefanh] 2010-08-30 03:37:35 PDT
Pushed with comment #2 and comment #3 addressed:

http://hg.mozilla.org/comm-central/rev/bcc622bacd07

Note You need to log in before you can comment on or make changes to this bug.